App\Library\Amazon\Classes\Luggage:
    xml_root_name: Luggage
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Luggage\VariationDataAType
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        model:
            expose: true
            access_type: public_method
            serialized_name: Model
            accessor:
                getter: getModel
                setter: setModel
            type: string
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: App\Library\Amazon\Classes\VolumeDimensionType
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        shellType:
            expose: true
            access_type: public_method
            serialized_name: ShellType
            accessor:
                getter: getShellType
                setter: setShellType
            type: string
        teamName:
            expose: true
            access_type: public_method
            serialized_name: TeamName
            accessor:
                getter: getTeamName
                setter: setTeamName
            type: string
        innerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterialType
            accessor:
                getter: getInnerMaterialType
                setter: setInnerMaterialType
            type: string
        collection:
            expose: true
            access_type: public_method
            serialized_name: Collection
            accessor:
                getter: getCollection
                setter: setCollection
            type: string
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        strapType:
            expose: true
            access_type: public_method
            serialized_name: StrapType
            accessor:
                getter: getStrapType
                setter: setStrapType
            type: string
        numberOfWheels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfWheels
            accessor:
                getter: getNumberOfWheels
                setter: setNumberOfWheels
            type: integer
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        wheelType:
            expose: true
            access_type: public_method
            serialized_name: WheelType
            accessor:
                getter: getWheelType
                setter: setWheelType
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        lifestyle:
            expose: true
            access_type: public_method
            serialized_name: Lifestyle
            accessor:
                getter: getLifestyle
                setter: setLifestyle
            type: string
        shoulderStrapDrop:
            expose: true
            access_type: public_method
            serialized_name: ShoulderStrapDrop
            accessor:
                getter: getShoulderStrapDrop
                setter: setShoulderStrapDrop
            type: App\Library\Amazon\Classes\LengthDimensionType
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        certification:
            expose: true
            access_type: public_method
            serialized_name: Certification
            accessor:
                getter: getCertification
                setter: setCertification
            type: string
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        department:
            expose: true
            access_type: public_method
            serialized_name: Department
            accessor:
                getter: getDepartment
                setter: setDepartment
            type: string
        outerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterialType
            accessor:
                getter: getOuterMaterialType
                setter: setOuterMaterialType
            type: string
        batteryComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryComposition
            accessor:
                getter: getBatteryComposition
                setter: setBatteryComposition
            type: string
        loadConfiguration:
            expose: true
            access_type: public_method
            serialized_name: LoadConfiguration
            accessor:
                getter: getLoadConfiguration
                setter: setLoadConfiguration
            type: string
        leatherType:
            expose: true
            access_type: public_method
            serialized_name: LeatherType
            accessor:
                getter: getLeatherType
                setter: setLeatherType
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        style:
            expose: true
            access_type: public_method
            serialized_name: Style
            accessor:
                getter: getStyle
                setter: setStyle
            type: string
        fabricType:
            expose: true
            access_type: public_method
            serialized_name: FabricType
            accessor:
                getter: getFabricType
                setter: setFabricType
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        liningDescription:
            expose: true
            access_type: public_method
            serialized_name: LiningDescription
            accessor:
                getter: getLiningDescription
                setter: setLiningDescription
            type: string
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        specifications:
            expose: true
            access_type: public_method
            serialized_name: Specifications
            accessor:
                getter: getSpecifications
                setter: setSpecifications
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        pattern:
            expose: true
            access_type: public_method
            serialized_name: Pattern
            accessor:
                getter: getPattern
                setter: setPattern
            type: string
        minimumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MinimumCircumference
            accessor:
                getter: getMinimumCircumference
                setter: setMinimumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MaximumCircumference
            accessor:
                getter: getMaximumCircumference
                setter: setMaximumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        lockType:
            expose: true
            access_type: public_method
            serialized_name: LockType
            accessor:
                getter: getLockType
                setter: setLockType
            type: string
        character:
            expose: true
            access_type: public_method
            serialized_name: Character
            accessor:
                getter: getCharacter
                setter: setCharacter
            type: string
        warranty:
            expose: true
            access_type: public_method
            serialized_name: Warranty
            accessor:
                getter: getWarranty
                setter: setWarranty
            type: string
        numberOfCompartments:
            expose: true
            access_type: public_method
            serialized_name: NumberOfCompartments
            accessor:
                getter: getNumberOfCompartments
                setter: setNumberOfCompartments
            type: integer
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
        compartmentDescription:
            expose: true
            access_type: public_method
            serialized_name: CompartmentDescription
            accessor:
                getter: getCompartmentDescription
                setter: setCompartmentDescription
            type: string
        displaySize:
            expose: true
            access_type: public_method
            serialized_name: DisplaySize
            accessor:
                getter: getDisplaySize
                setter: setDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        handleType:
            expose: true
            access_type: public_method
            serialized_name: HandleType
            accessor:
                getter: getHandleType
                setter: setHandleType
            type: string
        harmonizedCode:
            expose: true
            access_type: public_method
            serialized_name: HarmonizedCode
            accessor:
                getter: getHarmonizedCode
                setter: setHarmonizedCode
            type: string
        veryHighValue:
            expose: true
            access_type: public_method
            serialized_name: VeryHighValue
            accessor:
                getter: getVeryHighValue
                setter: setVeryHighValue
            type: boolean
        manufacturerMinimumAge:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerMinimumAge
            accessor:
                getter: getManufacturerMinimumAge
                setter: setManufacturerMinimumAge
            type: App\Library\Amazon\Classes\AgeRecommendedDimensionType
        waterResistance:
            expose: true
            access_type: public_method
            serialized_name: WaterResistance
            accessor:
                getter: getWaterResistance
                setter: setWaterResistance
            type: string
        wearResistance:
            expose: true
            access_type: public_method
            serialized_name: WearResistance
            accessor:
                getter: getWearResistance
                setter: setWearResistance
            type: string
        warrantyType:
            expose: true
            access_type: public_method
            serialized_name: WarrantyType
            accessor:
                getter: getWarrantyType
                setter: setWarrantyType
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        careInstructions:
            expose: true
            access_type: public_method
            serialized_name: CareInstructions
            accessor:
                getter: getCareInstructions
                setter: setCareInstructions
            type: string
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        performanceRating:
            expose: true
            access_type: public_method
            serialized_name: PerformanceRating
            accessor:
                getter: getPerformanceRating
                setter: setPerformanceRating
            xml_list:
                inline: true
                entry_name: PerformanceRating
            type: array<string>
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        patternType:
            expose: true
            access_type: public_method
            serialized_name: PatternType
            accessor:
                getter: getPatternType
                setter: setPatternType
            type: string
        theme:
            expose: true
            access_type: public_method
            serialized_name: Theme
            accessor:
                getter: getTheme
                setter: setTheme
            type: string
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            xml_list:
                inline: true
                entry_name: SpecificUsesForProduct
            type: array<string>
        opacity:
            expose: true
            access_type: public_method
            serialized_name: Opacity
            accessor:
                getter: getOpacity
                setter: setOpacity
            type: string
        mfrWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionType
            accessor:
                getter: getMfrWarrantyDescriptionType
                setter: setMfrWarrantyDescriptionType
            type: string
        mfrWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionParts
            accessor:
                getter: getMfrWarrantyDescriptionParts
                setter: setMfrWarrantyDescriptionParts
            type: string
        mfrWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionLabor
            accessor:
                getter: getMfrWarrantyDescriptionLabor
                setter: setMfrWarrantyDescriptionLabor
            type: string
        fabricWash:
            expose: true
            access_type: public_method
            serialized_name: FabricWash
            accessor:
                getter: getFabricWash
                setter: setFabricWash
            type: string
        capacityName:
            expose: true
            access_type: public_method
            serialized_name: CapacityName
            accessor:
                getter: getCapacityName
                setter: setCapacityName
            type: string
